pcl::detail::MeshIndex< IndexTagT > Class Template Reference

`#include <pcl/geometry/mesh_indices.h>`

Inheritance diagram for pcl::detail::MeshIndex< IndexTagT >:

## Public Types

using | Base = boost::totally_ordered< MeshIndex< IndexTagT >, boost::unit_steppable< MeshIndex< IndexTagT >, boost::additive< MeshIndex< IndexTagT > >> >
using | Self = MeshIndex< IndexTagT >

## Public Member Functions

| MeshIndex ()
| Constructor. More...
| MeshIndex (const int index)
| Constructor. More...
bool | isValid () const
| Returns true if the index is valid. More...
void | invalidate ()
| Invalidate the index. More...
int | get () const
| Get the index. More...
void | set (const int index)
| Set the index. More...
bool | operator< (const Self &other) const
| Comparison operators (with boost::operators): < > <= >=. More...
bool | operator== (const Self &other) const
| Comparison operators (with boost::operators): == !=. More...
Self & | operator++ ()
| Increment operators (with boost::operators): ++ (pre and post) More...
Self & | operator-- ()
| Decrement operators (with boost::operators): -- (pre and post) More...
Self & | operator+= (const Self &other)
| Addition operators (with boost::operators): + +=. More...
Self & | operator-= (const Self &other)
| Subtraction operators (with boost::operators): - -=. More...

## Friends

std::istream & | operator>> (std::istream &is, MeshIndex< IndexTagT > &index)
| istream operator. More...

## Detailed Description

### template<class IndexTagT>
class pcl::detail::MeshIndex< IndexTagT >

Definition at line 62 of file mesh_indices.h.

## Member Typedef Documentation

## Base

template<class IndexTagT >

using pcl::detail::MeshIndex< IndexTagT >::Base = boost::totally_ordered< MeshIndex<IndexTagT>, boost::unit_steppable<MeshIndex<IndexTagT>, boost::additive<MeshIndex<IndexTagT> >> >

Definition at line 71 of file mesh_indices.h.

## Self

template<class IndexTagT >

using pcl::detail::MeshIndex< IndexTagT >::Self = MeshIndex<IndexTagT>

Definition at line 75 of file mesh_indices.h.

## Constructor & Destructor Documentation

## MeshIndex() [1/2]

template<class IndexTagT >

pcl::detail::MeshIndex< IndexTagT >::MeshIndex | ( |  | ) |

inline

Constructor.

Initializes with an invalid index.

Definition at line 78 of file mesh_indices.h.

## MeshIndex() [2/2]

template<class IndexTagT >

pcl::detail::MeshIndex< IndexTagT >::MeshIndex | ( | const int | index | ) |

inline explicit

Constructor.

Parameters

  [in] | index | The integer index.

Definition at line 83 of file mesh_indices.h.

## Member Function Documentation

## get()

template<class IndexTagT >

int pcl::detail::MeshIndex< IndexTagT >::get | ( |  | ) | const

inline

Get the index.

Definition at line 101 of file mesh_indices.h.

Referenced by pcl::geometry::getBoundBoundaryHalfEdges(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::getFace(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::getHalfEdge(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::getOppositeHalfEdgeIndex(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::getVertex(), pcl::detail::MeshIndex< IndexTagT >::operator+=(), pcl::detail::MeshIndex< IndexTagT >::operator-=(), pcl::detail::MeshIndex< IndexTagT >::operator<(), pcl::detail::operator<<(), pcl::detail::MeshIndex< IndexTagT >::operator==(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::setFace(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::setHalfEdge(), pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::setVertex(), pcl::geometry::toEdgeIndex(), and pcl::geometry::toHalfEdgeIndex().

## invalidate()

template<class IndexTagT >

void pcl::detail::MeshIndex< IndexTagT >::invalidate | ( |  | ) |

inline

Invalidate the index.

Definition at line 94 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::deleteFace(), and pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::markDeleted().

## isValid()

template<class IndexTagT >

bool pcl::detail::MeshIndex< IndexTagT >::isValid | ( |  | ) | const

inline

Returns true if the index is valid.

Definition at line 87 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< DerivedT, MeshTraitsT, MeshTagT >::deleteVertex(), pcl::geometry::toEdgeIndex(), and pcl::geometry::toHalfEdgeIndex().

## operator++()

template<class IndexTagT >

Self& pcl::detail::MeshIndex< IndexTagT >::operator++ | ( |  | ) |

inline

Increment operators (with boost::operators): ++ (pre and post)

Definition at line 129 of file mesh_indices.h.

## operator+=()

template<class IndexTagT >

Self& pcl::detail::MeshIndex< IndexTagT >::operator+= | ( | const Self & | other | ) |

inline

Addition operators (with boost::operators): + +=.

Definition at line 145 of file mesh_indices.h.

References pcl::detail::MeshIndex< IndexTagT >::get().

## operator--()

template<class IndexTagT >

Self& pcl::detail::MeshIndex< IndexTagT >::operator-- | ( |  | ) |

inline

Decrement operators (with boost::operators): -- (pre and post)

Definition at line 137 of file mesh_indices.h.

## operator-=()

template<class IndexTagT >

Self& pcl::detail::MeshIndex< IndexTagT >::operator-= | ( | const Self & | other | ) |

inline

Subtraction operators (with boost::operators): - -=.

Definition at line 153 of file mesh_indices.h.

References pcl::detail::MeshIndex< IndexTagT >::get().

## operator<()

template<class IndexTagT >

bool pcl::detail::MeshIndex< IndexTagT >::operator< | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): < > <= >=.

Definition at line 114 of file mesh_indices.h.

References pcl::detail::MeshIndex< IndexTagT >::get().

## operator==()

template<class IndexTagT >

bool pcl::detail::MeshIndex< IndexTagT >::operator== | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): == !=.

Definition at line 122 of file mesh_indices.h.

References pcl::detail::MeshIndex< IndexTagT >::get().

## set()

template<class IndexTagT >

void pcl::detail::MeshIndex< IndexTagT >::set | ( | const int | index | ) |

inline

Set the index.

Definition at line 108 of file mesh_indices.h.

## Friends And Related Function Documentation

## operator>>

template<class IndexTagT >

std::istream& operator>> | ( | std::istream & | is,
|  | MeshIndex< IndexTagT > & | index
| ) |  |

friend

istream operator.

Definition at line 177 of file mesh_indices.h.

The documentation for this class was generated from the following file:

- pcl/geometry/mesh_indices.h